# Standard_ShortReal.hxx File Reference

`#include <float.h>`
`#include <math.h>`
`#include <Standard_values.h>`
`#include <Standard_TypeDef.hxx>`

## Functions

__Standard_API Handle_Standard_Type & | Standard_ShortReal_Type_ ()
Standard_ShortReal | ShortRealSmall ()
Standard_ShortReal | Abs (const Standard_ShortReal Value)
Standard_Integer | ShortRealDigits ()
Standard_ShortReal | ShortRealEpsilon ()
Standard_ShortReal | ShortRealFirst ()
Standard_Integer | ShortRealFirst10Exp ()
Standard_ShortReal | ShortRealLast ()
Standard_Integer | ShortRealLast10Exp ()
Standard_Integer | ShortRealMantissa ()
Standard_Integer | ShortRealRadix ()
Standard_Integer | ShortRealSize ()
Standard_ShortReal | Max (const Standard_ShortReal Val1, const Standard_ShortReal Val2)
Standard_ShortReal | Min (const Standard_ShortReal Val1, const Standard_ShortReal Val2)
__Standard_API Standard_Integer | HashCode (const Standard_ShortReal, const Standard_Integer)
__Standard_API Standard_ShortReal | ShallowCopy (const Standard_ShortReal)
Standard_Boolean | IsEqual (const Standard_ShortReal Value1, const Standard_ShortReal Value2)
Standard_Boolean | IsSimilar (const Standard_ShortReal One, const Standard_ShortReal Two)

## Function Documentation

Standard_ShortReal Abs | ( | const Standard_ShortReal | Value | ) | `[inline]`

__Standard_API Standard_Integer HashCode | ( | const | Standard_ShortReal,
|  | const | Standard_Integer
| ) |

Standard_Boolean IsEqual | ( | const Standard_ShortReal | Value1,
|  | const Standard_ShortReal | Value2
| ) | `[inline]`

Standard_Boolean IsSimilar | ( | const Standard_ShortReal | One,
|  | const Standard_ShortReal | Two
| ) | `[inline]`

Standard_ShortReal Max | ( | const Standard_ShortReal | Val1,
|  | const Standard_ShortReal | Val2
| ) | `[inline]`

Standard_ShortReal Min | ( | const Standard_ShortReal | Val1,
|  | const Standard_ShortReal | Val2
| ) | `[inline]`

__Standard_API Standard_ShortReal ShallowCopy | ( | const | Standard_ShortReal | ) |

Standard_Integer ShortRealDigits | ( |  | ) | `[inline]`

Standard_ShortReal ShortRealEpsilon | ( |  | ) | `[inline]`

Standard_ShortReal ShortRealFirst | ( |  | ) | `[inline]`

Standard_Integer ShortRealFirst10Exp | ( |  | ) | `[inline]`

Standard_ShortReal ShortRealLast | ( |  | ) | `[inline]`

Standard_Integer ShortRealLast10Exp | ( |  | ) | `[inline]`

Standard_Integer ShortRealMantissa | ( |  | ) | `[inline]`

Standard_Integer ShortRealRadix | ( |  | ) | `[inline]`

Standard_Integer ShortRealSize | ( |  | ) | `[inline]`

Standard_ShortReal ShortRealSmall | ( |  | ) | `[inline]`

class __Standard_API Handle_Standard_Type& Standard_ShortReal_Type_ | ( |  | ) |